OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.HalfFloatVertex

Contents

- Extension Support
- Types
- Enums

Description

Synopsis

- glGetARBHalfFloatVertex :: MonadIO m => m Bool
- gl_ARB_half_float_vertex :: Bool
- type GLhalf = Half
- gl_HALF_FLOAT :: GLenum

# Extension Support

glGetARBHalfFloatVertex :: MonadIO m => m Bool

Is the ARB_half_float_vertex extension supported?

gl_ARB_half_float_vertex :: Bool

Is the ARB_half_float_vertex extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBHalfFloatVertex` in those cases instead.

# Types

type GLhalf = Half

16bit half-precision floating-point value encoded in an unsigned scalar.

# Enums

gl_HALF_FLOAT :: GLenum